Upstream information

CVE-2020-29363 at MITRE

Description

An issue was discovered in p11-kit 0.23.6 through 0.23.21. A heap-based buffer overflow has been discovered in the RPC protocol used by p11-kit server/remote commands and the client library. When the remote entity supplies a serialized byte array in a CK_ATTRIBUTE, the receiving entity may not allocate sufficient length for the buffer to store the deserialized value.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1180066 [RESOLVED / FIXED]

No SUSE Security Announcements cross referenced.

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 15 SP4
SUSE Linux Enterprise High Performance Computing 15 SP4
SUSE Linux Enterprise Module for Basesystem 15 SP4
SUSE Linux Enterprise Server 15 SP4
SUSE Linux Enterprise Server for SAP Applications 15 SP4
SUSE Manager Proxy 4.3
SUSE Manager Retail Branch Server 4.3
SUSE Manager Server 4.3
  • libp11-kit0 >= 0.23.22-150400.1.10
  • libp11-kit0-32bit >= 0.23.22-150400.1.10
  • p11-kit >= 0.23.22-150400.1.10
  • p11-kit-devel >= 0.23.22-150400.1.10
  • p11-kit-nss-trust >= 0.23.22-150400.1.10
  • p11-kit-server >= 0.23.22-150400.1.10
  • p11-kit-tools >= 0.23.22-150400.1.10
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP4 GA libp11-kit0-0.23.22-150400.1.10
openSUSE Leap 15.4
  • libp11-kit0 >= 0.23.22-150400.1.10
  • libp11-kit0-32bit >= 0.23.22-150400.1.10
  • p11-kit >= 0.23.22-150400.1.10
  • p11-kit-tools >= 0.23.22-150400.1.10
Patchnames:
openSUSE Leap 15.4 GA libp11-kit0-0.23.22-150400.1.10


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 p11-kit Not affected
SLES15-EC2-CHOST-HVM-BYOS p11-kit Not affected
SLES15-SP1-CHOST-BYOS-Azure p11-kit Not affected
SLES15-SP1-CHOST-BYOS-EC2 p11-kit Not affected
SLES15-SP1-CHOST-BYOS-GCE p11-kit Not affected
SLES15-SP2-CHOST-BYOS-Aliyun p11-kit Not affected
SLES15-SP2-CHOST-BYOS-Azure p11-kit Not affected
SLES15-SP2-CHOST-BYOS-EC2 p11-kit Not affected
SLES15-SP2-CHOST-BYOS-GCE p11-kit Not affected
SLES15-SP3-CHOST-BYOS-Aliyun p11-kit Not affected
SLES15-SP3-CHOST-BYOS-Azure p11-kit Not affected
SLES15-SP3-CHOST-BYOS-EC2 p11-kit Not affected
SLES15-SP3-CHOST-BYOS-GCE p11-kit Not affected
SLES15-SP4-CHOST-BYOS p11-kit Already fixed
SLES15-SP4-CHOST-BYOS-Aliyun p11-kit Already fixed
SLES15-SP4-CHOST-BYOS-Azure p11-kit Already fixed
SLES15-SP4-CHOST-BYOS-EC2 p11-kit Already fixed
SLES15-SP4-CHOST-BYOS-GCE p11-kit Already fixed
SUSE Enterprise Storage 5 p11-kit Not affected
SUSE Linux Enterprise Desktop 15 SP1 p11-kit Not affected
SUSE Linux Enterprise Desktop 15 SP2 p11-kit Not affected
SUSE Linux Enterprise High Performance Computing 12 SP5 p11-kit Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS p11-kit Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 p11-kit Not affected
SUSE Linux Enterprise High Performance Computing 15 SP2 p11-kit Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 p11-kit Not affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 p11-kit Not affected
SUSE Linux Enterprise Point of Service Image Server 12 SP2 p11-kit Not affected
SUSE Linux Enterprise Server 12 SP2 BCL p11-kit Not affected
SUSE Linux Enterprise Server 12 SP2 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP2 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 BCL p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 12 SP5 p11-kit Not affected
SUSE Linux Enterprise Server 15 ESPOS p11-kit Not affected
SUSE Linux Enterprise Server 15 LTSS p11-kit Not affected
SUSE Linux Enterprise Server 15 SP1 p11-kit Not affected
SUSE Linux Enterprise Server 15 SP2 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 15 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 p11-kit Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP2 p11-kit Not affected
SUSE Linux Enterprise Storage 6 p11-kit Not affected
SUSE Linux Enterprise Storage 7 p11-kit Not affected
SUSE Manager Proxy 4.0 p11-kit Not affected
SUSE Manager Proxy 4.1 p11-kit Not affected
SUSE Manager Retail Branch Server 4.0 p11-kit Not affected
SUSE Manager Retail Branch Server 4.1 p11-kit Not affected
SUSE Manager Server 4.0 p11-kit Not affected
SUSE Manager Server 4.1 p11-kit Not affected
SUSE OpenStack Cloud 7 p11-kit Not affected
SUSE OpenStack Cloud 8 p11-kit Not affected
SUSE OpenStack Cloud 9 p11-kit Not affected
SUSE OpenStack Cloud Crowbar 8 p11-kit Not affected
SUSE OpenStack Cloud Crowbar 9 p11-kit Not affected
bci/openjdk-devel
bci/openjdk:17
bci/python
suse/manager/4.3/proxy-salt-broker
suse/manager/4.3/proxy-tftpd
suse/sle15:15.4
p11-kitAlready fixed
bci/openjdk
bci/openjdk-devel:11
bci/python:3
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7.1/cephcsi/cephcsi
ses/7.1/rook/ceph
ses/7/ceph/ceph
ses/7/ceph/grafana
ses/7/cephcsi/cephcsi
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/prometheus-webhook-snmp
ses/7/rook/ceph
suse/sle-micro/5.0/toolbox
suse/sle15:15.0
suse/sle15:15.1
suse/sle15:15.2
suse/sle15:15.3
suse/sles12sp3
suse/sles12sp4
trento/trento-runner
p11-kitNot affected